import { ISmartenitConfig } from "../smartenit-config.interface";
import { Observable } from "rxjs";
export declare const BACKEND_DATA_LIMIT: number;
export declare class AppConfiguration {
    private static _currentConfig;
    private static _initialConfig;
    private static _onConfigChange;
    private static initialAPIUrl;
    static readonly onConfigChange: Observable<any>;
    static restoreInitialConfiguration(): void;
    static initialConfig: ISmartenitConfig;
    static readonly currentConfig: ISmartenitConfig;
    static readonly currentAPIURL: string;
    static useLocalConnection: boolean;
    static setAPIURL(apiURL: string): void;
    static setCurrentGateway(gateway: any): void;
}
