import { Http, Request, RequestOptions, RequestOptionsArgs, Response, XHRBackend } from "@angular/http";
import { Observable } from "rxjs/Rx";
import { EventsManagerService } from "../common/events-manager.service";
import "rxjs/add/operator/catch";
import "rxjs/add/observable/throw";
import "rxjs/add/operator/map";
export declare class HttpInterceptor extends Http {
    http: Http;
    eventsManagerService: EventsManagerService;
    private _enqueueRequests;
    private static _enqueueRequests;
    static readonly enqueueRequests: boolean;
    private notifier;
    constructor(backend: XHRBackend, options: RequestOptions, http: Http, eventsManagerService: EventsManagerService);
    private drainQueue(newAccessToken?);
    private changeAccessTokenForRequest(headers, newAccessToken?);
    private changeAPIUrlForRequest(url, newAPIUrl);
    private getNextRequest(newAccessToken, newAPIUrl, prevRequest, options?);
    request(url: string | Request, options?: RequestOptionsArgs): Observable<Response>;
}
