import { ConditionsService } from "../resources/conditions.service";
import { Model } from "../common/model";
export declare class ConditionModel extends Model {
    protected conditionsService: ConditionsService;
    static readonly TIME_SUNSET: string;
    static readonly TIME_SUNRISE: string;
    static readonly TIME_DEFAULT: string;
    static readonly TIME_RANDOM: string;
    static readonly TIME_WINDOW: string;
    static readonly TIME_INTERVAL: string;
    static readonly DEVICE_STATE: string;
    static readonly SUNRISE: string;
    static readonly SUNSET: string;
    static readonly CRONTAB: string;
    static readonly EQ: string;
    private _name;
    name: string;
    type: string;
    description: string;
    readonly componentId: string;
    readonly processorName: string;
    readonly attribute: string;
    parents: any;
    path: string;
    value: any;
    days: any;
    constructor(conditionsService: ConditionsService, data: any);
}
