var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Model } from "../common/model";
export var ControllerModel = (function (_super) {
    __extends(ControllerModel, _super);
    function ControllerModel(controllersService, data) {
        _super.call(this, controllersService, data);
        this.controllersService = controllersService;
    }
    Object.defineProperty(ControllerModel.prototype, "description", {
        get: function () {
            return this._data.description;
        },
        set: function (value) {
            this._data.description = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ControllerModel.prototype, "componentId", {
        get: function () {
            if (this.path) {
                var split = this.path.split('/');
                if (split && split.length > 4) {
                    return split[4];
                }
            }
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ControllerModel.prototype, "processorName", {
        get: function () {
            if (this.path) {
                var split = this.path.split('/');
                if (split && split.length > 6) {
                    return split[6];
                }
            }
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ControllerModel.prototype, "attribute", {
        get: function () {
            if (this.path) {
                var split = this.path.split('/');
                if (split && split.length > 8) {
                    return split[8];
                }
            }
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ControllerModel.prototype, "componentName", {
        get: function () {
            return this._data.componentName;
        },
        set: function (value) {
            this._data.componentName = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ControllerModel.prototype, "parents", {
        get: function () {
            return this._data.parents;
        },
        set: function (value) {
            this._data.parents = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ControllerModel.prototype, "path", {
        get: function () {
            return this._data.path;
        },
        set: function (value) {
            this._data.path = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ControllerModel.prototype, "value", {
        get: function () {
            return this._data.value;
        },
        set: function (value) {
            this._data.value = value;
        },
        enumerable: true,
        configurable: true
    });
    return ControllerModel;
}(Model));
//# sourceMappingURL=controller.model.js.map