import { Model } from "../common/model";
import { ScenesService } from "../resources/scenes.service";
import { WebSocketsService } from "../websockets/websockets.service";
import { Observable } from "rxjs";
export declare class SceneModel extends Model {
    protected scenesService: ScenesService;
    webSocketsService: WebSocketsService;
    private _onSceneData;
    activate(): void;
    deactivate(): void;
    enabled: boolean;
    readonly onSceneData: Observable<any>;
    constructor(scenesService: ScenesService, data: any, webSocketsService: WebSocketsService);
}
