import { SmartenitPlugin } from "../smartenit-plugin";
import { ILockedUnlocked } from "../../interfaces/locked-unlocked.interface";
import { IWebSocketDeviceMessage } from "../../websockets/websocket-device-message.interface";
export declare class DoorLockPlugin extends SmartenitPlugin implements ILockedUnlocked {
    _lastUpdate: number;
    lock(): void;
    unlock(): void;
    getLastUpdateTimestamp(): number;
    isLocked(): boolean;
    isUnlocked(): boolean;
    getEffectOptions(): any;
    getEffectAttribute(): string;
    getEffectMethod(context?: any): string;
    getConditionOptions(): any;
    getCachedValues(subscribe?: boolean): any;
    getConditionAttribute(): string;
    getStatusPayload(): any;
    processMessage(message: IWebSocketDeviceMessage): any;
}
