import { SmartenitPlugin } from "../smartenit-plugin";
import { IWebSocketDeviceMessage } from "../../websockets/websocket-device-message.interface";
export declare class IASWDServerPlugin extends SmartenitPlugin {
    private _maxDuration;
    onInit(): void;
    readonly maxDuration: any;
    startWarning(duration?: number): void;
    stopWarning(): void;
    getStatusPayload(): any;
    processMessage(message: IWebSocketDeviceMessage): any;
    private getCacheZoneValues();
    getMaxDuration(): void;
    getConditionOptions(): any;
    getConditionAttribute(): any;
    getEffectOptions(): any;
    getEffectAttribute(): string;
    getEffectMethod(context?: any): string;
    isEffectActive(option: any, payload: any): boolean;
}
