import { AuthService } from "../auth/auth.service";
import { EventsManagerService } from "../common/events-manager.service";
import { DataQueryService } from "../common/data-query.service";
import { DatabaseService } from "../storage/database.service";
import { PersistentCRUDService } from "../storage/persistent-crud.service";
import { SyncService } from "../storage/sync.service";
import { CategoryModel } from "../models/category.model";
import { HttpInterceptor } from "../common/http-interceptor.service";
export declare class CategoriesService extends PersistentCRUDService {
    dbService: DatabaseService;
    constructor(http: HttpInterceptor, authService: AuthService, dbService: DatabaseService, syncService: SyncService, dataQueryService: DataQueryService, eventsService: EventsManagerService);
    createModel(data: any): CategoryModel;
}
