var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { Observable } from "rxjs";
import { AuthService } from "../auth/auth.service";
import { EventsManagerService } from "../common/events-manager.service";
import { APIClientService } from "../common/api-client.service";
import { HttpInterceptor } from "../common/http-interceptor.service";
export var MediaService = (function (_super) {
    __extends(MediaService, _super);
    function MediaService(http, authService, eventsService) {
        _super.call(this, 'media', http, authService, eventsService);
    }
    MediaService.prototype.uploadBase64 = function (data, fileName, resource, resourceId) {
        return this.post('upload/base64', {
            data: data,
            name: fileName,
            resource: resource,
            resourceId: resourceId
        });
    };
    MediaService.prototype.updateLocalImage = function (service, resourceId, data) {
        if (data && data.data && data.data.url && data.data.version) {
            return service.mergeInCollection(resourceId, { media: { img: data.data.url, v: data.data.version } });
        }
        else {
            return Observable.of('');
        }
    };
    MediaService = __decorate([
        Injectable(), 
        __metadata('design:paramtypes', [HttpInterceptor, AuthService, EventsManagerService])
    ], MediaService);
    return MediaService;
}(APIClientService));
//# sourceMappingURL=media.service.js.map