import { AuthService } from "../auth/auth.service";
import { EventsManagerService } from "../common/events-manager.service";
import { DataQueryService } from "../common/data-query.service";
import { DatabaseService } from "../storage/database.service";
import { PersistentCRUDService } from "../storage/persistent-crud.service";
import { SyncService } from "../storage/sync.service";
import { SceneModel } from "../models/scene.model";
import { WebSocketsService } from "../websockets/websockets.service";
import { HttpInterceptor } from "../common/http-interceptor.service";
export declare class ScenesService extends PersistentCRUDService {
    dbService: DatabaseService;
    webSocketsService: WebSocketsService;
    constructor(http: HttpInterceptor, authService: AuthService, dbService: DatabaseService, webSocketsService: WebSocketsService, syncService: SyncService, dataQueryService: DataQueryService, eventsService: EventsManagerService);
    createModel(data: any): SceneModel;
}
