import { Observable } from "rxjs";
export declare class DatabaseCollection {
    name: string;
    private _instance;
    constructor(name: string);
    getById(id: string): Observable<any>;
    static generateId(name: string): string;
    save(key: string, value: any, ttl?: number): Observable<any>;
    saveLocal(key: string, value: any): Observable<any>;
    list(): Observable<any>;
    removeById(id: string): Observable<any>;
    clear(): void;
}
