import { Observable } from "rxjs";
import { IStorable } from "../storage/storable.interface";
import { CRUDService } from "./crud.service";
import { IRequestOptions } from "./request-options.interface";
export declare abstract class Model implements IStorable {
    protected __id: string;
    protected _data: any;
    _id: string;
    readonly name: string;
    data: any;
    copy(): any;
    protected service: CRUDService;
    constructor(service: CRUDService, data: any);
    save(options?: IRequestOptions): Observable<any>;
    addParent(parent: Model): Observable<any>;
    removeParent(parent: Model): Observable<any>;
    list(query?: any, options?: IRequestOptions): Observable<any>;
    remove(): Observable<any>;
    toStoreObject(): any;
}
