import { DeviceModel } from '../models/device.model';
export declare class ProcessorValueHelperService {
    /**
     * Build the description of the current value
     * @param device Device
     * @param componentId Id of the component
     * @param processorName Name of the processor
     * @param value Current value
     */
    getValueDescription(device: DeviceModel, componentId: string, processorName: string, value: any): string;
}
