import { Injectable } from '@angular/core';
export var ProcessorValueHelperService = (function () {
    function ProcessorValueHelperService() {
    }
    /**
     * Build the description of the current value
     * @param device Device
     * @param componentId Id of the component
     * @param processorName Name of the processor
     * @param value Current value
     */
    ProcessorValueHelperService.prototype.getValueDescription = function (device, componentId, processorName, value) {
        if (!device || !componentId || !processorName || !value) {
            return '';
        }
        var plugin = device.getPlugin(componentId, processorName);
        return (plugin) ? plugin.getValueDescription(value) : '';
    };
    ProcessorValueHelperService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ProcessorValueHelperService.ctorParameters = function () { return []; };
    return ProcessorValueHelperService;
}());
//# sourceMappingURL=processor-value-helper.js.map