var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Model } from "../common/model";
export var EffectModel = (function (_super) {
    __extends(EffectModel, _super);
    function EffectModel(effectsService, data) {
        _super.call(this, effectsService, data);
        this.effectsService = effectsService;
    }
    Object.defineProperty(EffectModel.prototype, "path", {
        get: function () {
            return this._data.path;
        },
        set: function (value) {
            this._data.path = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "componentId", {
        get: function () {
            if (this.path) {
                var split = this.path.split('/');
                if (split && split.length > 4) {
                    return split[4];
                }
            }
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "parents", {
        get: function () {
            return this._data.parents;
        },
        set: function (value) {
            this._data.parents = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "componentName", {
        get: function () {
            return this._data.componentName;
        },
        set: function (value) {
            this._data.componentName = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "processorName", {
        get: function () {
            if (this.path) {
                var split = this.path.split('/');
                if (split && split.length > 6) {
                    return split[6];
                }
            }
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "attribute", {
        get: function () {
            if (this.path) {
                var split = this.path.split('/');
                if (split && split.length > 8 && split[7] == 'attrs') {
                    return split[8];
                }
            }
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "method", {
        get: function () {
            if (this.path) {
                var split = this.path.split('/');
                if (split && split.length > 8 && split[7] == 'methods') {
                    return split[8];
                }
            }
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "delay", {
        get: function () {
            return this._data.delay;
        },
        set: function (value) {
            this._data.delay = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "description", {
        get: function () {
            return this._data.description;
        },
        set: function (value) {
            this._data.description = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EffectModel.prototype, "params", {
        get: function () {
            return this._data.params;
        },
        set: function (value) {
            this._data.params = value;
        },
        enumerable: true,
        configurable: true
    });
    return EffectModel;
}(Model));
//# sourceMappingURL=effect.model.js.map