import { Model } from "../common/model";
import { PairingsService } from "../resources/pairings.service";
import { WebSocketsService } from "../websockets/websockets.service";
import { Observable } from "rxjs";
export declare class PairingModel extends Model {
    protected pairingsService: PairingsService;
    webSocketsService: WebSocketsService;
    private _onPairingData;
    private _onPairingStatus;
    private _onPairingRemove;
    retry(): void;
    tryRemove(): Observable<any>;
    target: any;
    source: any;
    pathId: string;
    description: string;
    readonly state: any;
    readonly ownerId: any;
    readonly onPairData: Observable<any>;
    readonly onPairStatus: Observable<any>;
    readonly onPairRemove: Observable<any>;
    constructor(pairingsService: PairingsService, data: any, webSocketsService: WebSocketsService);
}
