import { SmartenitPlugin } from "../smartenit-plugin";
import { IWebSocketDeviceMessage } from "../../websockets/websocket-device-message.interface";
import { ITextValue } from "../../interfaces/text-value.interface";
import { INumericValue } from "../../interfaces/numeric-value.interface";
export declare class ElectricalMeasurementServerPlugin extends SmartenitPlugin implements ITextValue, INumericValue {
    getUnit(attribute?: string): string;
    getActivePower(): string;
    getValue(attribute?: string): number;
    getConditionAttribute(): string;
    getEffectAttribute(): string;
    getEffectMethod(context?: any): string;
    setValue(value: number, attribute?: string, subscribe?: boolean): any;
    getTextValue(context?: string): string;
    getStatusPayload(): any;
    processMessage(message: IWebSocketDeviceMessage): any;
}
