import { SmartenitPlugin } from "../smartenit-plugin";
import { IWebSocketDeviceMessage } from "../../websockets/websocket-device-message.interface";
import { Observable } from "rxjs";
export declare class IASZoneServerPlugin extends SmartenitPlugin {
    private _type;
    private _zoneId;
    private _cieParent;
    private _enrolled;
    static readonly TYPES: any;
    onInit(): void;
    readonly type: any;
    readonly cieParent: string;
    belongsToPanel(panelHwId: string): boolean;
    setType(value: any): void;
    getStateMessage(context?: any): any;
    readonly zoneId: number;
    isActive(): boolean;
    isEnrolled(): boolean;
    updatedAt(): Date;
    private parseStatus(status);
    getStatusPayload(): any;
    getStatus(context?: string, force?: boolean, asObservable?: boolean, payload?: any): void;
    processMessage(message: IWebSocketDeviceMessage): any;
    private getCacheZoneValues();
    getZoneType(asObservable?: any): Observable<any>;
    getZoneId(asObservable?: any): Observable<any>;
    getZoneStatus(asObservable?: any): Observable<any>;
    getCIE(asObservable?: any): Observable<any>;
    getEnrolledState(asObservable?: any): Observable<any>;
    getConditionOptions(context?: any): any;
    getConditionAttribute(): any;
}
