import { SmartenitPlugin } from "../smartenit-plugin";
import { IWebSocketDeviceMessage } from "../../websockets/websocket-device-message.interface";
import { INumericValue } from "../../interfaces/numeric-value.interface";
export declare class LevelControlServerPlugin extends SmartenitPlugin implements INumericValue {
    setValue(value: number, attribute?: string): any;
    getUnit(attribute?: string): string;
    getValue(attribute?: string): number;
    getConditionAttribute(): string;
    getEffectAttribute(): string;
    getEffectMethod(context?: any): string;
    getEffectPayload(value: any, attribute?: string, method?: string): {
        Level: number;
        TransitionTime: number;
    };
    valueFromEffectPayload(payload: any, attribute?: string, method?: string): any;
    getResponderAttribute(): string;
    getResponderMethod(): string;
    getStatusPayload(): any;
    processMessage(message: IWebSocketDeviceMessage): any;
    readDeviceOnOffStatus(): void;
    getRawValue(value: number, attribute?: string, method?: string): number;
    getProcessedValue(value: any, attribute?: string, method?: string): any;
}
