var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { SmartenitPlugin } from "../smartenit-plugin";
export var OnOffClientPlugin = (function (_super) {
    __extends(OnOffClientPlugin, _super);
    function OnOffClientPlugin() {
        _super.apply(this, arguments);
    }
    OnOffClientPlugin.prototype.getEffectOptions = function () {
        return null;
    };
    OnOffClientPlugin.prototype.getEffectAttribute = function () {
        return null;
    };
    OnOffClientPlugin.prototype.getEffectMethod = function (context) {
        return null;
    };
    OnOffClientPlugin.prototype.getConditionOptions = function () {
        return [
            {
                name: 'Switch 1',
                method: {
                    name: 'Toggle'
                },
                value: '1'
            },
            {
                name: 'Switch 2',
                method: {
                    name: 'Toggle'
                },
                value: '2'
            },
            {
                name: 'Switch 3',
                method: {
                    name: 'Toggle'
                },
                value: '3'
            }
        ];
    };
    OnOffClientPlugin.prototype.getConditionAttribute = function () {
        return null;
    };
    OnOffClientPlugin.prototype.processMessage = function (message) {
        var attribute = message && message.attributeOrMethod;
        var supportedMethods = ['Off', 'On', 'Toggle', 'OffWEffect', 'OnWRecallGlobalScene', 'OnWTimedOff'];
        if (supportedMethods.indexOf(attribute) > -1) {
        }
        return this.state;
    };
    return OnOffClientPlugin;
}(SmartenitPlugin));
//# sourceMappingURL=on-off-client.plugin.js.map