import { SmartenitPlugin } from "../smartenit-plugin";
import { IOnOff } from "../../interfaces/on-off.interface";
import { IWebSocketDeviceMessage } from "../../websockets/websocket-device-message.interface";
export declare class OnOffPlugin extends SmartenitPlugin implements IOnOff {
    on(): void;
    off(): void;
    toggle(): void;
    isOn(): boolean;
    isOff(): boolean;
    getStatusPayload(): any;
    getEffectOptions(): any;
    getResponderOptions(): any;
    getConditionOptions(): any;
    getEffectAttribute(): string;
    getEffectMethod(context?: any): string;
    getConditionAttribute(): string;
    getResponderAttribute(): string;
    getResponderMethod(): string;
    processMessage(message: IWebSocketDeviceMessage): any;
}
