var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from "@angular/core";
export var PluginUtilsService = (function () {
    function PluginUtilsService() {
    }
    PluginUtilsService.prototype.getValueFromPercentage = function (value, lowerLimit, upperLimit) {
        return Math.round((upperLimit - lowerLimit) * (value / 100));
    };
    PluginUtilsService.prototype.getValueToPercentage = function (value, lowerLimit, upperLimit) {
        return Math.round((value / (upperLimit - lowerLimit)) * 100);
    };
    PluginUtilsService.prototype.getValueByMultiplying = function (value, multiplicand) {
        return Math.round(value * multiplicand);
    };
    PluginUtilsService.prototype.getValueByDividing = function (value, dividend) {
        return Math.round(value / dividend);
    };
    PluginUtilsService = __decorate([
        Injectable(), 
        __metadata('design:paramtypes', [])
    ], PluginUtilsService);
    return PluginUtilsService;
}());
//# sourceMappingURL=plugin-utils.service.js.map