import { SmartenitPlugin } from "../smartenit-plugin";
import { IWebSocketDeviceMessage } from "../../websockets/websocket-device-message.interface";
import { ITextValue } from "../../interfaces/text-value.interface";
import { INumericValue } from "../../interfaces/numeric-value.interface";
export declare class SimpleMeteringServerPlugin extends SmartenitPlugin implements ITextValue, INumericValue {
    static readonly UNITS: any;
    onInit(): void;
    getFirstUnit(): string;
    getSecondUnit(): string;
    getCurrentSummation(): string;
    getInstantaneousDemand(): string;
    getUnit(attribute?: string): string;
    getValue(attribute?: string): number;
    setValue(value: number, attribute?: string, subscribe?: boolean): any;
    getConditionAttribute(): string;
    getEffectAttribute(): string;
    getEffectMethod(context?: any): string;
    getTextValue(context?: string): string;
    getStatusPayload(): any;
    processMessage(message: IWebSocketDeviceMessage): any;
    private parseUnits(unitCode);
}
