import { SmartenitPlugin } from '../smartenit-plugin';
import { IWebSocketDeviceMessage } from '../../websockets/websocket-device-message.interface';
import { INumericValue } from "../../interfaces/numeric-value.interface";
import { ITextValue } from "../../interfaces/text-value.interface";
export declare class TemperatureMeasurementServerPlugin extends SmartenitPlugin implements INumericValue, ITextValue {
    readonly stateTTL: number;
    onInit(): void;
    getStatus(context?: string, subscribe?: boolean): any;
    setValue(value: number, attribute?: string, subscribe?: boolean): any;
    getValue(attribute?: string): number;
    getConditionAttribute(): string;
    getEffectAttribute(): string;
    getEffectMethod(context?: any): string;
    getUnit(attribute?: string): string;
    getTextValue(context?: string): string;
    getStatusPayload(): any;
    processMessage(message: IWebSocketDeviceMessage): any;
    getRawValue(value: number, attribute?: string, method?: string): number;
    getProcessedValue(value: any, attribute?: string, method?: string): any;
}
