import { Observable } from "rxjs";
import { AuthService } from "../auth/auth.service";
import { EventsManagerService } from "../common/events-manager.service";
import { APIClientService } from "../common/api-client.service";
import { HttpInterceptor } from "../common/http-interceptor.service";
import { PersistentCRUDService } from "../storage/persistent-crud.service";
export declare class MediaService extends APIClientService {
    constructor(http: HttpInterceptor, authService: AuthService, eventsService: EventsManagerService);
    uploadBase64(data: string, fileName: string, resource: string, resourceId: string): Observable<any>;
    updateLocalImage(service: PersistentCRUDService, resourceId: string, data: any): Observable<any>;
}
