import { APIClientService } from '../common/api-client.service';
import { AuthService } from "../auth/auth.service";
import { EventsManagerService } from "../common/events-manager.service";
import { Observable } from "rxjs";
import { HttpInterceptor } from "../common/http-interceptor.service";
export declare class Oauth2Service extends APIClientService {
    constructor(http: HttpInterceptor, authService: AuthService, eventsService: EventsManagerService);
    logout(): void;
    login(username: string, password: string): Observable<any>;
    authenticateClient(clientId: string, clientSecret: string): Observable<any>;
    refreshToken(): Observable<any>;
}
