import { PersistentCRUDService } from '../storage/persistent-crud.service';
import { ActionsService } from "./actions.service";
import { AreasService } from "./areas.service";
import { CategoriesService } from "./categories.service";
import { ConditionsService } from "./conditions.service";
import { ControllersService } from "./controllers.service";
import { DevicesService } from "./devices.service";
import { EffectsService } from "./effects.service";
import { EventsService } from "./events.service";
import { LocationsService } from "./locations.service";
import { PairingsService } from "./pairings.service";
import { RespondersService } from "./responders.service";
import { ScenesService } from "./scenes.service";
import { UsersService } from "./users.service";
import { WizardsService } from "./wizards.service";
import { PluginFactoryService } from '../plugins/plugin-factory.service';
import { AuthService } from '../auth/auth.service';
import { Oauth2Service } from './oauth-2.service';
import { EventsManagerService } from '../common/events-manager.service';
export declare class ResourcesProvider {
    private actionsService;
    private areasService;
    private categoriesService;
    private conditionsService;
    private controllersService;
    private devicesService;
    private effectsService;
    private eventsService;
    private locationsService;
    private pairingsService;
    private respondersService;
    private scenesService;
    private usersService;
    private wizardsService;
    private pluginFactoryService;
    private eventsManagerService;
    resources: any;
    constructor(actionsService: ActionsService, areasService: AreasService, categoriesService: CategoriesService, conditionsService: ConditionsService, controllersService: ControllersService, devicesService: DevicesService, effectsService: EffectsService, eventsService: EventsService, locationsService: LocationsService, pairingsService: PairingsService, respondersService: RespondersService, scenesService: ScenesService, usersService: UsersService, wizardsService: WizardsService, pluginFactoryService: PluginFactoryService, eventsManagerService: EventsManagerService, authService: AuthService, oauth2Service: Oauth2Service);
    getResourceToken(resource: string): PersistentCRUDService;
    tearUpResources(): void;
    tearDownResources(): void;
}
