var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { AuthService } from "../auth/auth.service";
import { EventsManagerService } from "../common/events-manager.service";
import { DataQueryService } from "../common/data-query.service";
import { DatabaseService } from "../storage/database.service";
import { PersistentCRUDService } from "../storage/persistent-crud.service";
import { SyncService } from "../storage/sync.service";
import { SceneModel } from "../models/scene.model";
import { WebSocketsService } from "../websockets/websockets.service";
import { HttpInterceptor } from "../common/http-interceptor.service";
export var ScenesService = (function (_super) {
    __extends(ScenesService, _super);
    function ScenesService(http, authService, dbService, webSocketsService, syncService, dataQueryService, eventsService) {
        _super.call(this, 'scenes', http, authService, dbService, syncService, dataQueryService, eventsService);
        this.dbService = dbService;
        this.webSocketsService = webSocketsService;
    }
    ScenesService.prototype.createModel = function (data) {
        return new SceneModel(this, data, this.webSocketsService);
    };
    ScenesService = __decorate([
        Injectable(), 
        __metadata('design:paramtypes', [HttpInterceptor, AuthService, DatabaseService, WebSocketsService, SyncService, DataQueryService, EventsManagerService])
    ], ScenesService);
    return ScenesService;
}(PersistentCRUDService));
//# sourceMappingURL=scenes.service.js.map